package de.sample.onlineschuhdemo;

import java.util.HashMap;
import java.util.Map;

public class ExternalServiceMockProvider {

	private static final String VAR_KUNDENNUMMER = "kundennummer";
	private static final String VAR_FIRSTNAME = "firstname";
	private static final String VAR_LASTNAME = "lastname";
	private static final String VAR_SERVICEIDENTIFIER = "serviceIdentifier";
	private static final String VAR_IBAN = "iban";
	private static final String VAR_IBANREFUND = "ibanRefund";
	private static final String VAR_CONFIRMATIONEMAILSENT = "confirmationEmailSent";

	public static final Map<String, Object> customerProvider(Map<String, Object> input) {
		Map<String, Object> output = new HashMap<String, Object>();

		String kundennummer = (String) input.get(VAR_KUNDENNUMMER);

		if("C-123A456".equals(kundennummer)) {
			output.put(VAR_FIRSTNAME, "Max");
			output.put(VAR_LASTNAME, "Mustermann");
		} else if("C-987A654".equals(kundennummer)) {
			output.put(VAR_FIRSTNAME, "Erika");
			output.put(VAR_LASTNAME, "Mustermann");
		}

		return output;
	}

	public static final Map<String, Object> financialMock(Map<String, Object> input) {
		Map<String, Object> output = new HashMap<String, Object>();

		String serviceIdentifier = (String) input.get(VAR_SERVICEIDENTIFIER);
		String kundennummer = (String) input.get(VAR_KUNDENNUMMER);
		String iban = (String) input.get(VAR_IBAN);

		if("getData".equals(serviceIdentifier) && "C-123A456".equals(kundennummer)) {
			output.put(VAR_IBANREFUND, "DE12345678900000123456");
		} else if("getData".equals(serviceIdentifier) && "C-987A654".equals(kundennummer)) {
			output.put(VAR_IBANREFUND, "DE12345678900000987654");
		} else if("refund".equals(serviceIdentifier) && "DE12345678900000123456".equals(iban)) {
			output.put(VAR_CONFIRMATIONEMAILSENT, "Nein");
		} else if("refund".equals(serviceIdentifier)) {
			output.put(VAR_CONFIRMATIONEMAILSENT, "Ja");
		}

		return output;
	}
}
